// menu styles
.menu {
  display: flex;
  align-items: center;  

  &__overlay{
    display: none;
    position: fixed;
    height: 100%;
    width: 100%;
    z-index: 999;
    background: rgba(0, 0, 0, 0.41) ;
    top: 0;
    left: 0;
  }
  &__exit{
    display: none;  
    width: calc(100% - 15px);
    padding: 10px;
    background: rgba(0, 0, 0, 0.1);
    margin: 10px auto;
    &:hover{
      .cross{
        span{
          // background: $c-orange;
          transition: $t-normal;
        }
      }
    }
  }
  &__line{
    position: relative;
    bottom: 0;
    width: 100%;
    height: 2px;
    display: flex;
    justify-content: center;
    &:after, &:before{
      transition: width .35s;
      content: '';
      border-bottom: 2px solid $c-green;
      width: 0;
    }
  }
  &__item {
    // display: inline-block;
    letter-spacing: 0.7px;
    // text-align: center;
    text-align: center;
    color: $c-dark-3;
    padding: 8px 0;
    margin: 0 25px;
    font-size: $fs-16;
    font-weight: $fw-bold;
    transition: .35s;    
    &:hover, &--active {
      transition: .35s;
      color:$c-green;
      .menu__line{
        &:after, &:before{
          width: 50%;
        }
      }
    }
    &:nth-last-child(2){
      border: 2px solid $c-green;
      height: 40px;
      padding: 8px 20px;
      border-radius: 500px;
      &.menu{

        &__item{
          &:hover, &--active {
            background: $c-green;
            color:$c-white;
          }
          & :last-child{
            display: none;
          }
        }
      }
    }
  }
  
}


@media #{$screen} {
  .menu {
    &__item {
      margin: 0 20px;
      &:nth-last-child(2){
        padding: 8px 20px;
        border-radius: 500px;
        margin:0 10px;
      }
    }
  }
}
@media #{$desktop} {
  .menu {
    &__lang{
      margin-left: 10px;
      font-size: $fs-12;
      
    }
    &__item {
      font-size: $fs-12;
      margin: 0 10px;
      &:nth-last-child(2){
        padding: 10px 10px;
        border-radius: 500px;
        margin:0 10px;
      }
    }
  }
}


@media #{$tablet} {
  .menu {
    transform: translateX(-100%);
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    z-index: 999;
    background: $c-white;
    flex-direction: column; 
    width: 160px;
    align-items: center;
    justify-content: flex-start;
    transition: $t-normal;
    overflow-y: auto;
    &__overlay{
      display: block;
      visibility: hidden;
      opacity: 0;
      transition: $t-normal;
    }
    &__open{
      transform: translateX(0);
      transition: $t-normal;
      visibility: visible;
      opacity: 1;
    }
    &__exit{
      display: block;
    }
    &__item {
      min-width: 0px;
      border-radius: 0px;
      // background: $c-dark;
      border:none;
      // width: 100%;
      margin: 5px 25px 0 25px;
      &:hover,{
        transition: .35s;
        color:$c-dark-3;;
        .menu__line{
          &:after, &:before{
            width:0;
          }
        }
      }
    }

  }
}